import request from '@/utils/request'

// 查询调用日志_ai打电话列表
export function listCallphone(query) {
  return request({
    url: '/company/callphoneLog/list',
    method: 'get',
    params: query
  })
}

export function groupList(query) {
    return request({
        url: '/company/callphoneLog/groupList',
        method: 'get',
        params: query
    })
}

// 查询调用日志_ai打电话详细
export function listCallPhoneByRoboticId(query) {
    return request({
        url: '/company/callphoneLog/listByCallerIdAndRoboticId',
        method: 'get',
        params: query
    })
}


// 获取统计数据
export function getCallPhoneLogCount() {
    return request({
        url: '/company/callphoneLog/count',
        method: 'get'
    })
}

// 导出调用日志_ai打电话
export function exportCallphone(query) {
    return request({
        url: '/company/callphoneLog/export',
        method: 'get',
        params: query
    })
}

// // 查询调用日志_ai打电话详细
// export function getCallphone(logId) {
//   return request({
//     url: '/company/callphone/' + logId,
//     method: 'get'
//   })
// }

// // 新增调用日志_ai打电话
// export function addCallphone(data) {
//   return request({
//     url: '/company/callphone',
//     method: 'post',
//     data: data
//   })
// }

// // 修改调用日志_ai打电话
// export function updateCallphone(data) {
//   return request({
//     url: '/company/callphone',
//     method: 'put',
//     data: data
//   })
// }

// // 删除调用日志_ai打电话
// export function delCallphone(logId) {
//   return request({
//     url: '/company/callphone/' + logId,
//     method: 'delete'
//   })
// }

// // 导出调用日志_ai打电话
// export function exportCallphone(query) {
//   return request({
//     url: '/company/callphone/export',
//     method: 'get',
//     params: query
//   })
// }
